Summary:        Generic library for real-time communications
Name:           libre
Version:        3.9.0
Release:    1%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/baresip/re
Source0:        https://github.com/baresip/re/archive/v%{version}/re-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
Provides:       libre0 = %{version}-%{release}
Provides:       libre0 = %{version}-%{release}
Provides:       re = %{version}-%{release}
Provides:       re = %{version}-%{release}
Provides:       librem = %{version}-%{release}
Provides:       librem = %{version}-%{release}

%description
Libre is a generic library for real-time communications with async I/O
support. Features are a SIP stack (RFC 3261), SDP, RTP and RTCP, SRTP and
SRTCP (Secure RTP), DNS client, STUN/TURN/ICE stack, BFCP, HTTP stack with
client/server, Websockets, Jitter buffer, async I/O (poll, epoll, select,
kqueue), UDP/TCP/TLS/DTLS transport, JSON parser and Real Time Messaging
Protocol (RTMP).

%package devel
Summary:        Development files for the re library
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       openssl-devel
Requires:       zlib-devel
Provides:       libre0-devel = %{version}-%{release}
Provides:       libre0-devel = %{version}-%{release}
Provides:       re-devel = %{version}-%{release}
Provides:       re-devel = %{version}-%{release}
Provides:       librem-devel = %{version}-%{release}
Provides:       librem-devel = %{version}-%{release}

%description devel
The libre-devel package includes header files and libraries necessary for
developing programs which use the re C library.

%prep
%setup -q -n re-%{version}

%build

%cmake

%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/%{name}.a


%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_libdir}/%{name}.so.21*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/re/
%{_libdir}/cmake/%{name}/
%{_libdir}/cmake/re/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.0-1
- initial build
